CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-0866

CREATE TRIGGER in PostgreSQL 8.3.x before 8.3.18, 8.4.x before 8.4.11, 9.0.x before 9.0.7, and 9.1.x before 9.1.3 does not properly check the execute permission for trigger functions marked SECURITY DEFINER, which allows remote authenticated users to execute otherwise restricted triggers on arbitrary data by installing the trigger on an attacker-owned table.
Publish Date : 2012-07-18 Last Update Date : 2016-12-07
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s)
CWE ID 264

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low
5.2
AV:A/AC:L/Au:S/C:P/I:P/A:P 2012-02-20 2012-02-27
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
DEPRECATED: ELSA-2012:0678: postgresql and postgresql84 security update (Moderate) oval:org.mitre.oval:def:23252 unix
DEPRECATED: ELSA-2012-0678 -- postgresql and postgresql84 security update (moderate) oval:org.mitre.oval:def:27807 unix
DEPRECATED: ELSA-2012-0677 -- postgresql security update (moderate) oval:org.mitre.oval:def:27850 unix
DSA-2418-1 postgresql-8.4 -- several oval:org.mitre.oval:def:15024 unix
ELSA-2012:0677: postgresql security update (Moderate) oval:org.mitre.oval:def:23418 unix
ELSA-2012:0678: postgresql and postgresql84 security update (Moderate) oval:org.mitre.oval:def:23770 unix
RHSA-2012:0677: postgresql security update (Moderate) oval:org.mitre.oval:def:21471 unix
RHSA-2012:0677: postgresql security update (Moderate) oval:com.redhat.rhsa:def:20120677 unix
RHSA-2012:0678: postgresql and postgresql84 security update (Moderate) oval:org.mitre.oval:def:21339 unix
RHSA-2012:0678: postgresql and postgresql84 security update (Moderate) oval:com.redhat.rhsa:def:20120678 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2012-0866

# Product Type Vendor Product Version Update Edition Language
1 Application Postgresql Postgresql 8.3 Version Details Vulnerabilities
2 Application Postgresql Postgresql 8.3.1 Version Details Vulnerabilities
3 Application Postgresql Postgresql 8.3.2 Version Details Vulnerabilities
4 Application Postgresql Postgresql 8.3.3 Version Details Vulnerabilities
5 Application Postgresql Postgresql 8.3.4 Version Details Vulnerabilities
6 Application Postgresql Postgresql 8.3.5 Version Details Vulnerabilities
7 Application Postgresql Postgresql 8.3.6 Version Details Vulnerabilities
8 Application Postgresql Postgresql 8.3.7 Version Details Vulnerabilities
9 Application Postgresql Postgresql 8.3.8 Version Details Vulnerabilities
10 Application Postgresql Postgresql 8.3.9 Version Details Vulnerabilities
11 Application Postgresql Postgresql 8.3.10 Version Details Vulnerabilities
12 Application Postgresql Postgresql 8.3.11 Version Details Vulnerabilities
13 Application Postgresql Postgresql 8.3.12 Version Details Vulnerabilities
14 Application Postgresql Postgresql 8.3.13 Version Details Vulnerabilities
15 Application Postgresql Postgresql 8.3.14 Version Details Vulnerabilities
16 Application Postgresql Postgresql 8.3.15 Version Details Vulnerabilities
17 Application Postgresql Postgresql 8.3.16 Version Details Vulnerabilities
18 Application Postgresql Postgresql 8.3.17 Version Details Vulnerabilities
19 Application Postgresql Postgresql 8.4 Version Details Vulnerabilities
20 Application Postgresql Postgresql 8.4.1 Version Details Vulnerabilities
21 Application Postgresql Postgresql 8.4.2 Version Details Vulnerabilities
22 Application Postgresql Postgresql 8.4.3 Version Details Vulnerabilities
23 Application Postgresql Postgresql 8.4.4 Version Details Vulnerabilities
24 Application Postgresql Postgresql 8.4.5 Version Details Vulnerabilities
25 Application Postgresql Postgresql 8.4.6 Version Details Vulnerabilities
26 Application Postgresql Postgresql 8.4.7 Version Details Vulnerabilities
27 Application Postgresql Postgresql 8.4.8 Version Details Vulnerabilities
28 Application Postgresql Postgresql 8.4.9 Version Details Vulnerabilities
29 Application Postgresql Postgresql 8.4.10 Version Details Vulnerabilities
30 Application Postgresql Postgresql 9.0 Version Details Vulnerabilities
31 Application Postgresql Postgresql 9.0.1 Version Details Vulnerabilities
32 Application Postgresql Postgresql 9.0.2 Version Details Vulnerabilities
33 Application Postgresql Postgresql 9.0.3 Version Details Vulnerabilities
34 Application Postgresql Postgresql 9.0.4 Version Details Vulnerabilities
35 Application Postgresql Postgresql 9.0.5 Version Details Vulnerabilities
36 Application Postgresql Postgresql 9.0.6 Version Details Vulnerabilities
37 Application Postgresql Postgresql 9.1 Version Details Vulnerabilities
38 Application Postgresql Postgresql 9.1.1 Version Details Vulnerabilities
39 Application Postgresql Postgresql 9.1.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Postgresql Postgresql 39

- References For CVE-2012-0866

http://www.postgresql.org/docs/9.0/static/release-9-0-7.html CONFIRM
http://www.mandriva.com/security/advisories?name=MDVSA-2012:027
MANDRIVA MDVSA-2012:027
http://www.mandriva.com/security/advisories?name=MDVSA-2012:092
MANDRIVA MDVSA-2012:092
http://www.postgresql.org/about/news/1377/ CONFIRM
http://www.postgresql.org/docs/8.3/static/release-8-3-18.html CONFIRM
http://rhn.redhat.com/errata/RHSA-2012-0678.html
REDHAT RHSA-2012:0678
http://www.debian.org/security/2012/dsa-2418
DEBIAN DSA-2418
http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10705 CONFIRM
http://www.postgresql.org/docs/9.1/static/release-9-1-3.html CONFIRM
http://rhn.redhat.com/errata/RHSA-2012-0677.html
REDHAT RHSA-2012:0677
http://www.postgresql.org/docs/8.4/static/release-8-4-11.html CONFIRM
http://lists.opensuse.org/opensuse-updates/2012-09/msg00060.html
SUSE openSUSE-SU-2012:1173
http://www.mandriva.com/security/advisories?name=MDVSA-2012:026
MANDRIVA MDVSA-2012:026

- Metasploit Modules Related To CVE-2012-0866

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.